# Depot Struct Reference

Inheritance diagram for Depot:

## Public Member Functions
| Depot (TileIndex xy=INVALID_TILE)
| ~Depot ()
| Clean up a depot.
FORCEINLINE bool | IsOfType (const Depot *d) const
| Is the "type" of depot the same as the given depot, i.e.
## Static Public Member Functions
static FORCEINLINE Depot * | GetByTile (TileIndex tile)
## Data Fields
Town * | town
char * | name
TileIndex | xy
uint16 | town_cn
| The N-1th depot for this town (consecutive number).
Date | build_date
| Date of construction.

## Detailed Description

Definition at line 21 of file depot_base.h.

## Member Function Documentation

FORCEINLINE bool Depot::IsOfType | ( | const Depot * | d | ) | const`[inline]`

Is the "type" of depot the same as the given depot, i.e.

are both a rail, road or ship depots?

Parameters:

  | d | The depot to compare to.

Returns:
  true iff their types are equal.

Definition at line 43 of file depot_base.h.

References GetTileType().

The documentation for this struct was generated from the following files:

- src/depot_base.h
- src/depot.cpp